Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.dependency
Class Reference

    java.lang.Object
      org.owasp.dependencycheck.dependency.Reference

All Implemented Interfaces:
  Serializable, Comparable<Reference>

    public class Reference

extends Object
implements Serializable, Comparable<Reference>

An external reference for a vulnerability. This contains a name, URL, and a source.

Author:
  Jeremy Long (jeremy.long@owasp.org)
See Also:
  Serialized Form

Constructor Summary
`Reference()`

Method Summary
`int` | `compareTo(Reference o)` Implementation of the comparable interface.
`boolean` | `equals(Object obj)`
`String` | `getName()` Get the value of name.
`String` | `getSource()` Get the value of source.
`String` | `getUrl()` Get the value of url.
`int` | `hashCode()`
`void` | `setName(String name)` Set the value of name.
`void` | `setSource(String source)` Set the value of source.
`void` | `setUrl(String url)` Set the value of url.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reference

    public Reference()

Method Detail

### getName

    public String getName()

  Get the value of name.

  Returns:
    the value of name

### setName

    public void setName(String name)

  Set the value of name.

  Parameters:
    `name` - new value of name

### getUrl

    public String getUrl()

  Get the value of url.

  Returns:
    the value of url

### setUrl

    public void setUrl(String url)

  Set the value of url.

  Parameters:
    `url` - new value of url

### getSource

    public String getSource()

  Get the value of source.

  Returns:
    the value of source

### setSource

    public void setSource(String source)

  Set the value of source.

  Parameters:
    `source` - new value of source

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(Reference o)

  Implementation of the comparable interface.

  Specified by:
    `compareTo` in interface `Comparable<Reference>`
  Parameters:
    `o` - the Reference being compared
  Returns:
    an integer indicating the ordering of the two objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.